; noch aktive Einstellungen anzeigen lassen

; *******************************************************************************
; *******************************************************************************
; *******  ALLES ZUM AUFBAU DES SETUPs ******************************************
; *******


; ******************************************************************************
; ****** SETUP des DISPLAY *****************************************************
; ****** Hauptbildschirm um ins Setup zu gelangen
; *******  - SETUP
Setup_MAIN:
	; vermeiden von Pufferberlaufen mit sperren des Datenempfangs
 	ldi 	WORK2, 19		; XOFF
	out 	UART_UDR, WORK2
	sbi	PORTD_DDR,2		; CTS ON
	sbi	PORTD_D,2		; 
	ldi	WORK2, UART_CR_OFF		; UART - Einstellen das kein Int 
	out	UART_UCSRB, WORK2	        ; beim auslesen ausgelst wird

	ldi	DISPLAY_DAT, POS3		; Zeile4 spalte0
	rcall   LocateZ_S
	Text_to_Z Text_SETUP		   	; TEXT _SETUP_ ausgeben
	rcall	Text_progm_To_Disp
	ldi	WORK2, Menu_MAIN		; Setzen in welchen untermenu man ist
	mov	X_L, WORK2
	
	; pause von einigen Sekunden wenn dann keine Taste weiter zur normelen Funktion	
	mov	WORK2, TIMER_TAKT		; Zeitzhler nach WORK
	subi	WORK2, 8			; veringern
	wait_MAIN:
	; *** Aufgabe fr Taster 2 - mu man drcken um ins SETUP zu kommen
	pressed_taster_2_setup_MAIN:	
	mov	WORK, TASTER_PRESSED		
	cpi     WORK, 2
	brne	No_Tast_press_setup_MAIN
	andi	WORK, 0b11111101		; lsche tastendruck f. nchsten druck
	mov	TASTER_PRESSED, WORK		; falls gedrckt weiter ins Menu
	inc	X_L				; und menuzhler erhhen
	rcall	Setup_Menu_MAIN 		; Aufgabe zum nchsten Menu *******
	rjmp	wait_End
	No_Tast_press_setup_MAIN:
	cp	TIMER_TAKT, WORK2		; hat Zeitzhler 8mal gezhlt ??
	brge	wait_MAIN			; nein dann zeige SETUP nochmal
	wait_End:				; Zeit um - kein Taster gedrckt
	ldi	DISPLAY_DAT,DISPLAY_CLEAR	;** Clear Display	
	rcall	Disp_Send_Code
	ldi	DISPLAY_DAT,DISPLAY_DDRAM_NULL  ;** und DDRAM auf NULL
	rcall	Disp_Send_Code
	ldi	DISPLAY_DAT, POS1		; Zeile0 spalte0
	rcall   LocateZ_S
	
	ldi	WORK2, UART_CR			; Betriebsart des UART auf AN
	out	UART_UCSRB, WORK2
	ldi 	WORK2, 17			; XON
	out 	UART_UDR, WORK2
	sbi	PORTD_DDR,2		; CTS OFF
	cbi	PORTD_D,2		; 

	ret
; *** End SETUP *******************************************************


; ********************************************************************
; ****** Die UnterMENUs des SETUP ************************************
; ******  - SETUP ->
; ****** hier werden die MenuTexte aus dem EEPROM gelesen und wenn ***
; ****** ein Menu fertig gezeichnet ist, nachgeschaut ob Tasten-   ***
; ****** aktionen anstehen *******************************************
; ****** das akuelle Untermenu wird im Register X_L gemerkt und danach
; ****** wird der Bildschirm aufgebaut....
Setup_Menu_MAIN:
	ldi	DISPLAY_DAT,DISPLAY_CLEAR	;** Clear Display	
	rcall	Disp_Send_Code
	
	Setup_Menu_Haupt_1:
	cpi	X_L, Menu_Haupt_1		; in welchen UnterMenu ?	
	brne	Setup_Menu_Haupt_2		; bild nicht zeichnen sondern nchstes evt.
	; ********* Menu_Haupt_1	
	 ldi	DISPLAY_DAT, POS1		; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_UART			; TEXT _UART_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS2		; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_BEL			; TEXT _BEL_ ausgeben
	 rcall	Text_progm_To_Disp
         ldi	DISPLAY_DAT, POS3	   	; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_TAST			; TEXT _TAST_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS4		; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_NEXT			; TEXT _NEXT_ ausgeben
	 rcall	Text_progm_To_Disp
	rjmp	Setup_Test_Tast			; schau nach Tastendruck
	Setup_Menu_Haupt_2:
	; ********* Menu_Haupt_2
	cpi	X_L, Menu_Haupt_2		; in welchen UnterMenu ?	
	brne	Setup_Menu_UART_Haupt
	 ldi	DISPLAY_DAT, POS1		; Zeile0 spalte0
 	 rcall   LocateZ_S
	 Text_to_Z Text_AD		   	; TEXT _AD_ ausgeben
	 rcall	Text_progm_To_Disp
 	 ldi	DISPLAY_DAT, POS2		; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_BACK	   	; TEXT _BACK_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS3		; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_INFO		; TEXT _INFO_ ausgeben
	 rcall	Text_progm_To_Disp	
 	 ldi	DISPLAY_DAT, POS4	   	; Zeile0 spalte0
	 rcall   LocateZ_S
 	 Text_to_Z Text_EXIT	   	; TEXT _EXIT_ ausgeben
	 rcall	Text_progm_To_Disp	
 	rjmp	Setup_Test_Tast
	Setup_Menu_UART_Haupt:
	; ********* Menu_UART_Haupt
	cpi	X_L, Menu_UART_Haupt		; in welchen UnterMenu ?	
	brne	Setup_Menu_UART_BAUD_1
	 ldi	DISPLAY_DAT, POS1		; Zeile0 spalte0
 	 rcall   LocateZ_S
	 Text_to_Z Text_BAUD	   	; TEXT _BAUD_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS2	  	; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_BACK	   	; TEXT _BACK_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS3	   	; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_FLUSS	   	; TEXT _FLUSS_ ausgeben
	 rcall	Text_progm_To_Disp	
 	 ;ldi	DISPLAY_DAT, POS4	   	; Zeile0 spalte0
	 ;rcall   LocateZ_S
 	 ;Text_to_Z Text_BACK	   	; TEXT _BACK_ ausgeben
	 ;rcall	Text_progm_To_Disp	
 	rjmp	Setup_Test_Tast		
	Setup_Menu_UART_BAUD_1:
	; ********* Menu_UART_BAUD_1
	cpi	X_L, Menu_UART_BAUD_1		; in welchen UnterMenu ?	
	brne	Setup_Menu_UART_BAUD_2
 	 ldi	DISPLAY_DAT, POS1		; Zeile0 spalte0
 	 rcall   LocateZ_S
	 Text_to_Z Text_2400	   	; TEXT _2.4_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS2		; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_BACK	   	; TEXT _BACK_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS3	   	; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_9600	   	; TEXT _9.6_ ausgeben
	 rcall	Text_progm_To_Disp	
 	 ldi	DISPLAY_DAT, POS4	   	; Zeile0 spalte0
	 rcall   LocateZ_S
 	 Text_to_Z Text_NEXT	   	; TEXT _NEXT_ ausgeben
	 rcall	Text_progm_To_Disp	
	rjmp	Setup_Test_Tast			; und nchsten Unterpunkt schreiben
	Setup_Menu_UART_BAUD_2:
	; ********* Menu_UART_BAUD_2
	cpi	X_L, Menu_UART_BAUD_2		; in welchen UnterMenu ?	
	brne	Setup_Menu_UART_FLUSS
 	 ldi	DISPLAY_DAT, POS1		; Zeile0 spalte0
 	 rcall   LocateZ_S
	 Text_to_Z Text_14400	   	; TEXT _14.4_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS2		; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_BACK	   	; TEXT _BACK_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS3	   	; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_19200	   	; TEXT _19.2_ ausgeben
	 rcall	Text_progm_To_Disp	
 	 ldi	DISPLAY_DAT, POS4	   	; Zeile0 spalte0
	 rcall   LocateZ_S
 	 Text_to_Z Text_38400	   	; TEXT _38400_ ausgeben
	 rcall	Text_progm_To_Disp	
	rjmp	Setup_Test_Tast			; und nchsten Unterpunkt schreiben
	Setup_Menu_UART_FLUSS:	
	; ********* Menu_UART_FLUSS
	cpi	X_L, Menu_UART_FLUSS		; in welchen UnterMenu ?	
	brne	Setup_Menu_Taster_Haupt
 	 ldi	DISPLAY_DAT, POS1		; Zeile0 spalte0
 	 rcall   LocateZ_S
	 Text_to_Z Text_CTS	   	  	; TEXT _CTS_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS2	   	; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_BACK	   	; TEXT _BACK_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS3	   	; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_SOFT	   	; TEXT _SOFT_ ausgeben
	 rcall	Text_progm_To_Disp	
 	 ;ldi	DISPLAY_DAT, POS4	   	; Zeile0 spalte0
	 ;rcall   LocateZ_S
 	 ;Text_to_Z Text_BACK	   	; TEXT _BACK_ ausgeben
	 ;rcall	Text_progm_To_Disp	
	 rjmp	Setup_Test_Tast			; und nchsten Unterpunkt schreiben
	Setup_Menu_Taster_Haupt:
	; ********* Menu_Taster_Haupt
	cpi	X_L, Menu_Taster_Haupt		; in welchen UnterMenu ?	
	brne	Setup_Menu_Bel_Haupt
 	 ldi	DISPLAY_DAT, POS2	   	; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_BACK	   	; TEXT _BACK_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS_WAHL		; Zeile0 spalte0
 	 rcall   LocateZ_S
	 Text_to_Z Text_PrellZeit  		; TEXT _PTIME_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS_PLUS	   	; Zeile0 spalte0
	 rcall   LocateZ_S
	 ldi	DISPLAY_DAT, '+'
	 rcall	Disp_Send_Data
	 ldi	DISPLAY_DAT, POS_MINUS	   	; Zeile0 spalte0
	 rcall   LocateZ_S
 	 ldi	DISPLAY_DAT, '-'
	 rcall	Disp_Send_Data
	 ; zeige akt. Wert an
	 ldi	DISPLAY_DAT, POS_AKT
	 rcall	locateZ_S
	 ldi	WORK2, TASTER_T_Counter_Time
	 out 	EEADRESS,  WORK2		; setze EEPROM-Adresse auf Adresse
	 sbi	EECONTR,0			; setze das Daten gelsene werden sollen
	 in	WORK2, EEDAT			
	 rcall	hex2dez_disp			; wert umwandeln in dezimal und anzeigen
	rjmp	Setup_Test_Tast			; und nchsten Unterpunkt schreiben
	Setup_Menu_Bel_Haupt:
	; ********* Menu_Bel_Haupt
	cpi	X_L, Menu_Bel_Haupt		; in welchen UnterMenu ?	
	;brne	Setup_Menu_Bel_Modus
	breq	Setup_Menu_Bel_Haupt_weiter
	rjmp	Setup_Menu_Bel_Modus		; sprungweite zu kurz
	Setup_Menu_Bel_Haupt_weiter:
 	 ldi	DISPLAY_DAT, POS1		; Zeile0 spalte0
 	 rcall   LocateZ_S
	 Text_to_Z Text_Modus   		; TEXT _Modus_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS2	   	; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_BACK	   	; TEXT _BACK_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS3	   	; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_Hell	   	; TEXT _Helligk_ ausgeben
	 rcall	Text_progm_To_Disp	
 	 ;ldi	DISPLAY_DAT, POS4	   	; Zeile0 spalte0
	 ;rcall   LocateZ_S
 	 ;Text_to_Z Text_AUTO	   	; TEXT _AUTO_ ausgeben
	 ;rcall	Text_progm_To_Disp	
	rjmp	Setup_Test_Tast			; und nchsten Unterpunkt schreiben
	Setup_Menu_Bel_Modus:
	; ********* Menu_Bel_Modus
	cpi	X_L, Menu_Bel_Modus		; in welchen UnterMenu ?	
	brne	Setup_Menu_Bel_Schwelle
 	 ldi	DISPLAY_DAT, POS1		; Zeile0 spalte0
 	 rcall   LocateZ_S
	 Text_to_Z Text_AN   		; TEXT _AN_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS2	    	; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_BACK	   	; TEXT _BACK_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS3	   	; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_AUS		   	; TEXT _AUS_ ausgeben
	 rcall	Text_progm_To_Disp	
 	 ldi	DISPLAY_DAT, POS4	   	; Zeile0 spalte0
	 rcall   LocateZ_S
 	 Text_to_Z Text_AUTO	   	; TEXT _AUTO_ ausgeben
	 rcall	Text_progm_To_Disp	
 	rjmp	Setup_Test_Tast			; und nchsten Unterpunkt schreiben
	Setup_Menu_Bel_Schwelle:
	; ********* Menu_Bel_Schwelle
	cpi	X_L, Menu_Bel_Schwelle		; in welchen UnterMenu ?	
	brne	Setup_Menu_AD_Haupt
 	 ldi	DISPLAY_DAT, POS2	   	; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_BACK	   	; TEXT _BACK_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS_WAHL		; Zeile0 spalte0
 	 rcall   LocateZ_S
	 Text_to_Z Text_Schwelle  		; TEXT _Schwelle_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS_PLUS	   	; Zeile0 spalte0
	 rcall   LocateZ_S
	 ldi	DISPLAY_DAT, '+'
	 rcall	Disp_Send_Data
	 ldi	DISPLAY_DAT, POS_MINUS	   	; Zeile0 spalte0
	 rcall   LocateZ_S
 	 ldi	DISPLAY_DAT, '-'
	 rcall	Disp_Send_Data
	 ; zeige akt. Wert an
	 ldi	DISPLAY_DAT, POS_AKT
	 rcall	locateZ_S
	 ;ldi	WORK2, Helligk_Schwelle_Min
	 ;out 	EEADRESS,  WORK2		; setze EEPROM-Adresse auf Adresse
	 ;sbi	EECONTR,0			; setze das Daten gelsene werden sollen
	 ;in	WORK2, EEDAT			
	 mov	WORK2, REG_HELLIGK_SCHWELLE_MIN
	 rcall	hex2dez_disp			; wert umwandeln in dezimal und anzeigen
	rjmp	Setup_Test_Tast			; und nchsten Unterpunkt schreiben
	Setup_Menu_AD_Haupt:
	; ********* Menu_AD_Haupt
	cpi	X_L, Menu_AD_Haupt		; in welchen UnterMenu ?	
	brne	Setup_Menu_INFO_Haupt
 	 ldi	DISPLAY_DAT, POS2	   	; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_BACK	   	; TEXT _BACK_ ausgeben
	 rcall	Text_progm_To_Disp
	 ldi	DISPLAY_DAT, POS_M		; Z2 S3
	 rcall	locateZ_S
	 Text_to_Z Text_iV			; VORERST
	 rcall	Text_progm_To_Disp
	rjmp	Setup_Test_Tast			; und nchsten Unterpunkt schreiben
	Setup_Menu_INFO_Haupt:
	; ********* Menu_INFO_Haupt
	; Register infos 
	cpi	X_L, Menu_INFO_Haupt		; in welchen UnterMenu ?	
	breq	Setup_Menu_INFO_Haupt_weiter
	rjmp	Setup_Menu_Reserve		; sprungweiter zu kurz
 	Setup_Menu_INFO_Haupt_weiter:
 	 ldi	DISPLAY_DAT, POS2	   ; Zeile0 spalte0
	 rcall   LocateZ_S
	 Text_to_Z Text_BACK	   ; TEXT _BACK_ ausgeben
	 rcall	Text_progm_To_Disp
	 
	 ; einlesen und Anziegen der Einstellungen (uncodiert vorerst)
	 ; UART-TEILER
	 ldi	DISPLAY_DAT, POS1
	 rcall	locateZ_S
	 Text_to_Z Text_BAUD	   ; TEXT _BAUD ausgeben
	 rcall	Text_progm_To_Disp	

	 ldi	DISPLAY_DAT, 0x06
	 rcall	locateZ_S	 	 
	 ldi	WORK2, AKT_UART_TEILER
	 out 	EEADRESS,  WORK2	; setze EEPROM-Adresse auf Adresse
	 sbi	EECONTR, 0		; setze das Daten gelsene werden sollen
	 in	WORK2, EEDAT		
	 rcall	hex2dez_disp		; wert umwandeln in dezimal und anzeigen
	 
	 ; Flusskontrolle
	 ldi	DISPLAY_DAT, 0x10
	 rcall	locateZ_S
	 Text_to_Z Text_FLUSS	   ; TEXT _FLUSS_ ausgeben
	 rcall	Text_progm_To_Disp	
	 ldi	DISPLAY_DAT, 0x16
	 rcall	locateZ_S	 	 
	 ldi	WORK, UART_FLUSS	; lese akt. WERT
	 out 	EEADRESS,  WORK		; setze EEPROM-Adresse auf Adresse
	 sbi	EECONTR,0		; setze das Daten gelsene werden sollen
	 in	DISPLAY_DAT, EEDAT
	 ldi	WORK, 48		; und dez. draus machen
	 add	DISPLAY_DAT, WORK
	 rcall	Disp_Send_Data
	 
	 ; Beleuchtung AN/AUS
	 ldi	DISPLAY_DAT, 0x20
	 rcall	locateZ_S
	 Text_to_Z Text_BEL		   ; TEXT _BEL_ ausgeben
	 rcall	Text_progm_To_Disp	
	 ldi	DISPLAY_DAT, 0x26
	 rcall	locateZ_S
	 ldi	WORK, Bel_ONorOFF
	 out 	EEADRESS,  WORK		; setze EEPROM-Adresse auf Adresse
	 sbi	EECONTR,0		; setze das Daten gelsene werden sollen
	 in	DISPLAY_DAT, EEDAT
	 ldi	WORK, 48
	 add	DISPLAY_DAT, WORK
	 rcall	Disp_Send_Data
	 	 
	 ; Timer Einstellungen - welche Routinen werden ausgefhrt
	 ldi	DISPLAY_DAT, POS3
	 rcall	locateZ_S
	 Text_to_Z Text_TIMER	   ; TEXT _TIMER_ ausgeben
	 rcall	Text_progm_To_Disp	
	 ldi	DISPLAY_DAT, POS_AKT	   ; position f. zahl
	 rcall	locateZ_S
	 ldi	WORK2, Timer_Aktiv_Byte_Def	; einlesen
	 out 	EEADRESS,  WORK2		; setze EEPROM-Adresse auf Adresse
	 sbi	EECONTR,0			; setze das Daten gelsene werden sollen
	 in	WORK2, EEDAT	
	 rcall	hex2bin_disp			; wert umwandeln in binr und anzeigen
	 
	 ; aus anderen Menue entnehmbar 
	 ; Entprellzeit der Taster
	 ;ldi	DISPLAY_DAT, POS3
	 ;rcall	locateZ_S
	 ;ldi	WORK2, Text_PRELLZEIT	   ; TEXT _Prellzeit_ ausgeben
	 ;rcall	Text_Eeprom_To_Disp	
	 ;ldi	DISPLAY_DAT, 0x3B
	 ;rcall	locateZ_S
	 ;ldi	WORK2, TASTER_T_Counter_Time
	 ;out 	EEADRESS,  WORK2	; setze EEPROM-Adresse auf Adresse
	 ;sbi	EECONTR, 0		; setze das Daten gelsene werden sollen
	 ;in	WORK2, EEDAT		
	 ;rcall	hex2dez_disp		; wert umwandeln in dezimal und anzeigen
	 ;rjmp	Setup_Test_Tast		; und nchsten Unterpunkt schreiben
	

	Setup_Menu_Reserve:
	; Reserve...........
		
	; dies ist die Schleife in der laufend auf Tastendruck getestet wird
	Setup_Test_Tast:
	; Wurde berhaupt ein Tastendruck registriert ?
	test_failed:
	tst 	TASTER_PRESSED			; berhaupt eine Taste gedrckt ?
	breq	test_failed			; um flackern zu verhindern
	; wenn ja dann Aktion entsprechend dem gew. Taster ausfhren
	; also das Unterprogramm zur Tastenbehandlung im Setup aufrufen
	rcall	Taster_Abfrage_Setup
	; und Neuaufbau des Menus nach Funktionsausf.	- zurck
	rjmp	Setup_Menu_MAIN			; beginn
	ret
; *** End SETUP Bild1**************************************************



; *********************************************************************
; **** Tasterbehandlung im SETUP - SETUP  *****************************
; **** hier stehen die Ereignisse die ausgefhrt werden wenn ein Taster
; **** im SETUP gedrckt wurde ****************************************
Taster_Abfrage_Setup:
	 
; ************ Aufgabe fr Taster 1
	pressed_taster_1_setup:
	mov	WORK, TASTER_PRESSED		; wurde Taster 1 gedrckt ???
	cpi     WORK, 1
	;brne	pressed_taster_2_setup		; nein dann test next 
	breq	pressed_taster_1_setup_weiter	; Sprungweite zu kurz
	rjmp	pressed_taster_2_setup		; nein dann test next 
	pressed_taster_1_setup_weiter:		
	andi	WORK, 0b11111110		; ja dann mache Bit frei f. nchsten Druck
	mov	TASTER_PRESSED, WORK	
	; Taster 1 gedrckt - Aufgaben in Menus
	cpi	X_L, Menu_Haupt_1		; und test in welchen UnterMenu 
	brne	Setup_Menu_Haupt_2_T1		; wenn nicht in diesem Menu weiter testen
	ldi	X_L, Menu_UART_Haupt		; setzte UMERKER
	ret
	Setup_Menu_Haupt_2_T1:
 	cpi	X_L, Menu_Haupt_2		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_Haupt_T1
	ldi	X_L, Menu_AD_Haupt		; setzte UMERKER 
	ret
	Setup_Menu_UART_Haupt_T1:
	cpi	X_L, Menu_UART_Haupt	 	; und test in welchen UnterMenu
	brne	Setup_Menu_UART_BAUD_1_T1
	ldi	X_L, Menu_UART_BAUD_1		; setzte UMERKER
	ret
	Setup_Menu_UART_BAUD_1_T1:
 	cpi	X_L, Menu_UART_BAUD_1		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_BAUD_2_T1
	; Teiler ins EEPROM speichern fr 2400 BAUD
	; Wert mu 3x gespeichert werden !
		ldi	WORK, AKT_UART_TEILER		; 1. Adresse
		ldi	WORK2, UART_TEILER_2400		; Wert
		rcall	Eeprom_Write
		ldi	WORK, AKT_UART_TEILER_Pruef1	; 2. Adresse 
		rcall	Eeprom_Write
		ldi	WORK, AKT_UART_TEILER_Pruef2	; 3. Adresse  
		rcall	Eeprom_Write		
		rcall	print_io
		ldi	X_L, Menu_UART_Haupt		
	ret
	Setup_Menu_UART_BAUD_2_T1:
 	cpi	X_L, Menu_UART_BAUD_2		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_FLUSS_T1
	; Teiler ins EEPROM speichern fr Teiler 14400
	; 3x
		ldi	WORK, AKT_UART_TEILER		; Adresse
		ldi	WORK2, UART_TEILER_14400	; Wert
		rcall	Eeprom_Write
		ldi	WORK, AKT_UART_TEILER_Pruef1	; 2. Adresse 
		rcall	Eeprom_Write
		ldi	WORK, AKT_UART_TEILER_Pruef2	; 3. Adresse  
		rcall	Eeprom_Write

		rcall	print_io
		ldi	X_L, Menu_UART_Haupt
	ret
	Setup_Menu_UART_FLUSS_T1:
 	cpi	X_L, Menu_UART_FLUSS		; und test in welchen UnterMenu
	brne	Setup_Menu_Taster_Haupt_T1
	; CTS setzen ins EEPROM   0 fr CTS
		ldi	WORK, UART_FLUSS		; Adresse
		clr	WORK2			; Wert  0 fr CTS
		rcall	Eeprom_Write
		rcall	print_io
		ldi	X_L, Menu_UART_Haupt
	ret
	Setup_Menu_Taster_Haupt_T1:
 	cpi	X_L, Menu_Taster_Haupt		; und test in welchen UnterMenu
	brne	Setup_Menu_Bel_Haupt_T1
	; keine Aufgabe
	ret	
	Setup_Menu_Bel_Haupt_T1:
 	cpi	X_L, Menu_Bel_Haupt		; und test in welchen UnterMenu
	brne	Setup_Menu_Bel_Modus_T1
	ldi	X_L, Menu_Bel_Modus		; setzte UMERKER 	
	ret	
	Setup_Menu_Bel_Modus_T1:
 	cpi	X_L, Menu_Bel_Modus ; und test in welchen UnterMenu
	brne	Setup_Menu_Bel_Schwelle_T1
	; Timer_Aktib_Byte ins EEPROM speichern Beleuchtung AN - Keine AUTOMATIK
		; Beleuchtung AN
		ldi	WORK, Bel_ONorOFF	; Adresse
		ldi	WORK2, 1		; Wert  1 fr AN
		rcall	Eeprom_Write
		; AUTOMATIK AUS
		ldi	WORK2, Timer_Aktiv_Byte_Def 	; AKT. Einlesen
		out 	EEADRESS, WORK2		; setze EEPROM-Adresse auf Adresse
		sbi	EECONTR,0		; setze das Daten gelsene werden sollen
		in	WORK2, EEDAT		; und schiebe die Daten nach WORK
		andi	WORK2, 0b11111110		; bit 0 auf AUTOMATIK AUS
		ldi	WORK, Timer_Aktiv_Byte_Def	; Adresse
		rcall	Eeprom_Write			; und abspeichern ins EEPROM  3x !!!!
		ldi	WORK, Timer_Aktiv_Byte_Def_Pruef1	; Adresse
		rcall	Eeprom_Write	
		ldi	WORK, Timer_Aktiv_Byte_Def_Pruef2	; Adresse
		rcall	Eeprom_Write	
		rcall	print_io
		ldi	X_L, Menu_Bel_Haupt
	ret	
	Setup_Menu_Bel_Schwelle_T1:
 	cpi	X_L, Menu_Bel_Schwelle			; und test in welchen UnterMenu
	brne	Setup_Menu_AD_Haupt_T1
	; keine Aufgabe
	ret	
	Setup_Menu_AD_Haupt_T1:
 	cpi	X_L, Menu_AD_Haupt			; und test in welchen UnterMenu
	brne	Setup_Menu_INFO_Haupt_T1
 	; keine Aufgabe 			
	ret
	Setup_Menu_INFO_Haupt_T1:
	;cpi	X_L, Menu_INFO_Haupt			; und test in welchen UnterMenu
	;brne	Setup_Menu_RESERVE_T1
 	;Setup_Menu_RESERVE_T1:
 	; reserve
 	ret
 	 		
; ************* Aufgabe fr Taster 2		; w.o.
	pressed_taster_2_setup:	
	mov	WORK, TASTER_PRESSED	
	cpi     WORK, 2
	;brne	pressed_taster_3_setup
	breq	pressed_taster_2_weiter
	rjmp	pressed_taster_3_setup		; sprungweite zu kurz
	pressed_taster_2_weiter:
	andi	WORK, 0b11111101		; tastdruck lscghen
	mov	TASTER_PRESSED, WORK	
	; aufgaben f. tastendruck
	cpi	X_L, Menu_Haupt_1		; und test in welchen UnterMenu
	brne	Setup_Menu_Haupt_2_T2
	ldi	X_L, Menu_Taster_Haupt		; setzte UMERKER
	ret
	Setup_Menu_Haupt_2_T2:
 	cpi	X_L, Menu_Haupt_2		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_Haupt_T2
	ldi	X_L, Menu_INFO_Haupt		; setzte UMERKER 
	ret
	Setup_Menu_UART_Haupt_T2:
	cpi	X_L, Menu_UART_Haupt		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_BAUD_1_T2
	ldi	X_L, Menu_UART_FLUSS		; setzte UMERKER
	ret
	Setup_Menu_UART_BAUD_1_T2:
 	cpi	X_L, Menu_UART_BAUD_1		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_BAUD_2_T2
	; Teiler ins EEPROM speichern 9600
	; 3x
		ldi	WORK, AKT_UART_TEILER		; Adresse
		ldi	WORK2, UART_TEILER_9600		; Wert
		rcall	Eeprom_Write
		ldi	WORK, AKT_UART_TEILER_Pruef1	; 2. Adresse 
		rcall	Eeprom_Write
		ldi	WORK, AKT_UART_TEILER_Pruef2	; 3. Adresse  
		rcall	Eeprom_Write
		rcall	print_io
		ldi	X_L, Menu_UART_Haupt
	ret
	Setup_Menu_UART_BAUD_2_T2:
 	cpi	X_L, Menu_UART_BAUD_2		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_FLUSS_T2
	; Teiler ins EEPROM speichern 19200
	; 3x
		ldi	WORK, AKT_UART_TEILER		; Adresse
		ldi	WORK2, UART_TEILER_19200	; Wert
		rcall	Eeprom_Write
		ldi	WORK, AKT_UART_TEILER_Pruef1	; 2. Adresse 
		rcall	Eeprom_Write
		ldi	WORK, AKT_UART_TEILER_Pruef2	; 3. Adresse  
		rcall	Eeprom_Write
		rcall	print_io
		ldi	X_L, Menu_UART_Haupt
	ret
	Setup_Menu_UART_FLUSS_T2:
 	cpi	X_L, Menu_UART_FLUSS		; und test in welchen UnterMenu
	brne	Setup_Menu_Taster_Haupt_T2
	; XON/XOFF ins EEPROM speichern   1 in EEPROM UART_FLUSS
		ldi	WORK, UART_FLUSS		; Adresse
		ldi	WORK2, 1			; Wert  1 fr Softwareprotokoll
		rcall	Eeprom_Write
		rcall	print_io
		ldi	X_L, Menu_UART_Haupt
	ret
	Setup_Menu_Taster_Haupt_T2:
 	cpi	X_L, Menu_Taster_Haupt			; und test in welchen UnterMenu
	brne	Setup_Menu_Bel_Haupt_T2
	; Entprell-zeit-.counter im EEPROM erhhen
	 ; erhhe akt. Wert um eins
	 ldi	WORK2, TASTER_T_Counter_Time
	 out 	EEADRESS,  WORK2		; setze EEPROM-Adresse auf Adresse
	 sbi	EECONTR,0			; setze das Daten gelsene werden sollen
	 in	WORK2, EEDAT
	 cpi	WORK2, ENTRPELL_MAX_TIME
	 breq	Prell_Time_Over 		; ber maximalwert ?
	 inc	WORK2				; erhhen
	; falls grer Spanne als vorgegebn 
	; dann erst mit taser 3 - BACK abspeichern.. EEPROM schonen !
	; siehe wie bei Beleuchtungs schwelle
	 ldi	WORK, TASTER_T_Counter_Time	; und abspeichern ins eeprom
	 rcall	Eeprom_Write
	 ldi	WORK, TASTER_T_Counter_Time_Pruef1	; 2. Adresse 
	 rcall	Eeprom_Write
	 ldi	WORK, TASTER_T_Counter_Time_Pruef2	; 3. Adresse  
	 rcall	Eeprom_Write
 
	 Prell_Time_Over:
	 ldi	X_L, Menu_Taster_Haupt
	ret	
	Setup_Menu_Bel_Haupt_T2:
 	cpi	X_L, Menu_Bel_Haupt		; und test in welchen UnterMenu
	brne	Setup_Menu_Bel_Modus_T2
	ldi	X_L, Menu_Bel_Schwelle
	ret	
	Setup_Menu_Bel_Modus_T2:
 	cpi	X_L, Menu_Bel_Modus		; und test in welchen UnterMenu
	brne	Setup_Menu_Bel_Schwelle_T2
	; Timer_Aktib_Byte ins EEPROM speichern Beleuchtung AUS - Keine AUTOMATIK
		; Beleuchtung AUS
		ldi	WORK, Bel_ONorOFF	; Adresse
		clr	WORK2			; Wert  0 fr AUS
		rcall	Eeprom_Write
		; AUTOMATIK AUS
		ldi	WORK2, Timer_Aktiv_Byte_Def 	; AKT. Einlesen
		out 	EEADRESS, WORK2		; setze EEPROM-Adresse auf Adresse
		sbi	EECONTR,0		; setze das Daten gelsene werden sollen
		in	WORK2, EEDAT		; und schiebe die Daten nach WORK
		andi	WORK2, 0b11111110		; bit 0 auf AUTOMATIK AUS
		ldi	WORK, Timer_Aktiv_Byte_Def	; Adresse
		rcall	Eeprom_Write			; und abspeichern ins EEPROM 3x !!!!!
		ldi	WORK, Timer_Aktiv_Byte_Def_Pruef1	; Adresse
		rcall	Eeprom_Write	
		ldi	WORK, Timer_Aktiv_Byte_Def_Pruef2	; Adresse
		rcall	Eeprom_Write	
		rcall	print_io
		ldi	X_L, Menu_Bel_Haupt	
	ret	
	Setup_Menu_Bel_Schwelle_T2:
 	cpi	X_L, Menu_Bel_Schwelle			; und test in welchen UnterMenu
	brne	Setup_Menu_AD_Haupt_T2
		; aktuelles Schwellwert Register erhhen
		ldi	WORK2, 255 - 10 		; wg Hysterese - 10 !!!
		cp	REG_HELLIGK_SCHWELLE_MIN, WORK2	; maximalwert !!!
		breq	Over_Max 			; ber maximalwert ?
		inc	REG_HELLIGK_SCHWELLE_MIN	; erhhen
		; erst mit taser 3 - BACK abspeichern ins EERPOM speichern
		Over_Max:
		ldi	X_L, Menu_Bel_Schwelle
	ret	
	Setup_Menu_AD_Haupt_T2:
 	cpi	X_L, Menu_AD_Haupt			; und test in welchen UnterMenu
	brne	Setup_Menu_INFO_Haupt_T2
 	; keine Aufgabe 			
	ret
	Setup_Menu_INFO_Haupt_T2:
	;cpi	X_L, Menu_INFO_Haupt			; und test in welchen UnterMenu
	;brne	Setup_Menu_RESERVE_T1
 	;Setup_Menu_RESERVE_T1:
 	; reserve
 	ret
 	
 	; *** Aufgabe fr Taster 3		; w.o
	pressed_taster_3_setup:	
	mov	WORK, TASTER_PRESSED	
	cpi     WORK, 4
	brne	pressed_taster_4_setup
	andi	WORK, 0b11111011
	mov	TASTER_PRESSED, WORK	
	
	cpi	X_L, Menu_Haupt_1		; und test in welchen UnterMenu
	brne	Setup_Menu_Haupt_2_T3
	ldi	X_L, Menu_Bel_Haupt		; setzte UMERKER 
	ret
	Setup_Menu_Haupt_2_T3:
 	cpi	X_L, Menu_Haupt_2		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_Haupt_T3
	ldi	X_L, Menu_Haupt_1		; setzte UMERKER 
	ret
	Setup_Menu_UART_Haupt_T3:
	cpi	X_L, Menu_UART_Haupt		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_BAUD_1_T3
	ldi	X_L, Menu_Haupt_1		; setzte UMERKER
	ret
	Setup_Menu_UART_BAUD_1_T3:
 	cpi	X_L, Menu_UART_BAUD_1		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_BAUD_2_T3
	ldi	X_L, Menu_UART_Haupt		; setzte UMERKER 
	ret	
	Setup_Menu_UART_BAUD_2_T3:
 	cpi	X_L, Menu_UART_BAUD_2		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_FLUSS_T3
	ldi	X_L, Menu_UART_BAUD_1		; setzte UMERKER 
	ret
	Setup_Menu_UART_FLUSS_T3:
 	cpi	X_L, Menu_UART_FLUSS		; und test in welchen UnterMenu
	brne	Setup_Menu_Taster_Haupt_T3
	ldi	X_L, Menu_UART_Haupt		; setzte UMERKER 
	ret
	Setup_Menu_Taster_Haupt_T3:
 	cpi	X_L, Menu_Taster_Haupt		; und test in welchen UnterMenu
	brne	Setup_Menu_Bel_Haupt_T3
	ldi	X_L, Menu_Haupt_1		; setzte UMERKER 
	ret
	Setup_Menu_Bel_Haupt_T3:
 	cpi	X_L, Menu_Bel_Haupt		; und test in welchen UnterMenu
	brne	Setup_Menu_Bel_Modus_T3
	ldi	X_L, Menu_Haupt_1		; setzte UMERKER 
	ret
	Setup_Menu_Bel_Modus_T3:
 	cpi	X_L, Menu_Bel_Modus		; und test in welchen UnterMenu
	brne	Setup_Menu_Bel_Schwelle_T3
	ldi	X_L, Menu_Bel_Haupt		; setzte UMERKER 
	ret		
	Setup_Menu_Bel_Schwelle_T3:
 	cpi	X_L, Menu_Bel_Schwelle		; und test in welchen UnterMenu
	brne	Setup_Menu_AD_Haupt_T3
	 ; abspeichern des Registers falls Wert anders als EEPROM-WERT 
	 ; (also vom Benutzer gendert)
	 ldi	WORK2, Helligk_Schwelle_Min
	 out 	EEADRESS,  WORK2		; setze EEPROM-Adresse auf Adresse
	 sbi	EECONTR,0			; setze das Daten gelsene werden sollen
	 in	WORK2, EEDAT
	 cp	WORK2, REG_HELLIGK_SCHWELLE_MIN	; Unterschied vohanden ??
	 breq	No_Save		 		; nein dann nicht unntig ins EEPROM schreiben
	 mov	WORK2, REG_HELLIGK_SCHWELLE_MIN
	 ldi	WORK, Helligk_Schwelle_Min	; wenn doch dann abspeichern ins eeprom
	 rcall	Eeprom_Write
	 ;rcall	print_io
	 No_Save:	
	ldi	X_L, Menu_Bel_Haupt		; setzte UMERKER
	ret		
 	Setup_Menu_AD_Haupt_T3:
 	cpi	X_L, Menu_AD_Haupt		; und test in welchen UnterMenu
	brne	Setup_Menu_INFO_Haupt_T3
 	ldi	X_L, Menu_Haupt_2		; setzte UMERKER
	ret
	Setup_Menu_INFO_Haupt_T3:	 			
	cpi	X_L, Menu_INFO_Haupt		; und test in welchen UnterMenu
	brne	Setup_Menu_Reserve_T3
 	ldi	X_L, Menu_Haupt_2		; setzte UMERKER
	ret
	Setup_Menu_Reserve_T3:
 	; reserve
 	ret

 	; *** Aufgabe fr Taster 4		; w.o
	pressed_taster_4_setup:
	mov	WORK, TASTER_PRESSED	
	cpi     WORK, 8
	; brne	No_Tast_Press_setup		; end
	breq	pressed_taster_4_setup_weiter
	rjmp	No_Tast_Press_setup		; sprungweite zu kurz
	pressed_taster_4_setup_weiter:
	
	andi	WORK, 0b11110111
	mov	TASTER_PRESSED, WORK	
	cpi	X_L, Menu_Haupt_1		; und test in welchen UnterMenu
	brne	Setup_Menu_Haupt_2_T4
	ldi	X_L, Menu_Haupt_2		; setzte UMERKER
	ret	
	Setup_Menu_Haupt_2_T4:
 	cpi	X_L, Menu_Haupt_2		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_Haupt_T4
	rjmp	Init_Reset			; EXIT
	Setup_Menu_UART_Haupt_T4:
	cpi	X_L, Menu_UART_Haupt		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_BAUD_1_T4
	; keine Aufgabe
	ret		
	Setup_Menu_UART_BAUD_1_T4:
 	cpi	X_L, Menu_UART_BAUD_1		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_BAUD_2_T4
	ldi	X_L, Menu_UART_BAUD_2		; setzte UMERKER auf UMENU 5
	ret
	Setup_Menu_UART_BAUD_2_T4:
 	cpi	X_L, Menu_UART_BAUD_2		; und test in welchen UnterMenu
	brne	Setup_Menu_UART_FLUSS_T4
	; Teiler ins EEPROM speichern 38.4k
	; 3x
		ldi	WORK, AKT_UART_TEILER		; Adresse
		ldi	WORK2, UART_TEILER_38400	; Wert
		rcall	Eeprom_Write
		ldi	WORK, AKT_UART_TEILER_Pruef1	; 2. Adresse 
		rcall	Eeprom_Write
		ldi	WORK, AKT_UART_TEILER_Pruef2	; 3. Adresse  
		rcall	Eeprom_Write
		rcall	print_io
		ldi	X_L, Menu_UART_Haupt
	ret
	Setup_Menu_UART_FLUSS_T4:
 	cpi	X_L, Menu_UART_FLUSS		; und test in welchen UnterMenu
	brne	Setup_Menu_Taster_Haupt_T4
	; keine Aufgabe
	ret	
	Setup_Menu_Taster_Haupt_T4:
 	cpi	X_L, Menu_Taster_Haupt		; und test in welchen UnterMenu
	brne	Setup_Menu_Bel_Haupt_T4
	; Entprell-counter verringern im EEPROM
	 ;  akt. Wert um eins verringern
	 ldi	WORK2, TASTER_T_Counter_Time
	 out 	EEADRESS,  WORK2		; setze EEPROM-Adresse auf Adresse
	 sbi	EECONTR,0			; setze das Daten gelsene werden sollen
	 in	WORK2, EEDAT
	 cpi	WORK2, ENTRPELL_MIN_TIME + 1
	 brlo	Prell_Time_Null			; darf nicht unter Minimalwert
	 dec	WORK2				; erhhen
	 
	 ldi	WORK, TASTER_T_Counter_Time	; und abspeichern ins eeprom 3x !!!
	 rcall	Eeprom_Write
  	 ldi	WORK, TASTER_T_Counter_Time_Pruef1	; 2. Adresse 
	 rcall	Eeprom_Write
	 ldi	WORK, TASTER_T_Counter_Time_Pruef2	; 3. Adresse  
	 rcall	Eeprom_Write

	 Prell_Time_Null:
	 ldi	X_L,  Menu_Taster_Haupt	
	ret
	Setup_Menu_Bel_Haupt_T4:
 	cpi	X_L, Menu_Bel_Haupt		; und test in welchen UnterMenu
	brne	Setup_Menu_Bel_Modus_T4
	; keine Aufgabe 
	ret
	Setup_Menu_Bel_Modus_T4:
 	cpi	X_L, Menu_Bel_Modus		; und test in welchen UnterMenu
	brne	Setup_Menu_Bel_Schwelle_T4
	; Timer_Aktib_Byte ins EEPROM speichern Beleuchtung AUS - Keine AUTOMATIK
		; Beleuchtung AUS .. nur zur Sicherheit wieder als STANDART
		ldi	WORK, Bel_ONorOFF	; Adresse
		ldi	WORK2, 0		; Wert  0 fr AUS
		rcall	Eeprom_Write
		; AUTOMATIK AN
		ldi	WORK2, Timer_Aktiv_Byte_Def 	; AKT. Einlesen
		out 	EEADRESS, WORK2		; setze EEPROM-Adresse auf Adresse
		sbi	EECONTR,0		; setze das Daten gelsene werden sollen
		in	WORK2, EEDAT		; und schiebe die Daten nach WORK
		ori	WORK2, 0b1		; bit 0 auf AUTOMATIK AN
		ldi	WORK, Timer_Aktiv_Byte_Def	; Adresse
		rcall	Eeprom_Write			; und abspeichern ins EEPROM 3x !!!
		ldi	WORK, Timer_Aktiv_Byte_Def_Pruef1	; Adresse   
		rcall	Eeprom_Write	
		ldi	WORK, Timer_Aktiv_Byte_Def_Pruef2	; Adresse
		rcall	Eeprom_Write	
		rcall	print_io
		ldi	X_L, Menu_Bel_Haupt
	ret
	Setup_Menu_Bel_Schwelle_T4:
 	cpi	X_L, Menu_Bel_Schwelle		; und test in welchen UnterMenu
	brne	Setup_Menu_AD_Haupt_T4
		; aktuellen Registerwert minus eins
	 	ldi	WORK2, 1
	 	cp	REG_HELLIGK_SCHWELLE_MIN, WORK2	; maximalwert !!!
	 	brlo	Unter_Min 			; ber minimalwert ?
	 	dec	REG_HELLIGK_SCHWELLE_MIN	; erhhen
	 	; ins eeprom geschrieben wird erst mit taser3 BACK
	 	Unter_Min:
	  	ldi	X_L, Menu_Bel_Schwelle
	ret		
 	Setup_Menu_AD_Haupt_T4:
 	cpi	X_L, Menu_AD_Haupt		; und test in welchen UnterMenu
	brne	Setup_Menu_INFO_Haupt_T4
 	; keine Aufgabe
	ret
	Setup_Menu_INFO_Haupt_T4:	 			
	cpi	X_L, Menu_INFO_Haupt		; und test in welchen UnterMenu
	brne	Setup_Menu_Reserve_T4
 	; keine Aufagbe
	ret
	Setup_Menu_Reserve_T4:
 	; reserve
 	ret
		
	No_Tast_press_setup:
	ret
; *********************************************************************	


; *********************************************************************	
; ****** Anzeigen von 'Ausgefhrt' falls eine Einstellunge gendert ***	
print_io:
	ldi	DISPLAY_DAT,DISPLAY_CLEAR	;** Clear Display	
	rcall	Disp_Send_Code
	ldi	DISPLAY_DAT, POS_M		; Z2 S3
	rcall	locateZ_S
	
	Text_to_Z Text_GESETZT		; TEXT _GESETZT_ ausgeben
	rcall	Text_progm_To_Disp
	ldi 	PAUSEWERT, 50			; 50 mal 25ms warten = 1,75sec
	rcall	Delay_X_long	
	ldi	DISPLAY_DAT,DISPLAY_CLEAR	;** Clear Display	
	rcall	Disp_Send_Code
	ret	
; *********************************************************************	
