; ******************************************************************************
; ****** Die Timer IRQs ********************************************************
; ****** Timer 0 - 16bit - berlauf			TIMER0_OL
; ****** Timer 1 - 8bit	 - berlauf			TIMER1_OL


; ******************************************************************************
; ****** Timer0 berlauf Interuptroutine ***************************************
; ****** Benutzt fr Abgfragezeit der Taster ***********************************
TIMER0_OL:
	push	WORK
	in	SAVE_STATUS_FLAG,STATUS_FLAG	; Rette StatusRegister da es verndert wird !!		

	; *********** BIT 1 in TIMER_AKTIV_BYTE testen
	; *** wenn gesetzt dann Tasterroutine ausfhren
	; *** Wenn eine Taste gedrckt wurde, wird das im Register TASTER_PRESSED
	; *** vermerkt und ein entsprechendes Bit gesetzt
	; *** Bit 0=T1  1=T2  2=T3  4=T4
	mov	WORK, TIMER_AKTIV_BYTE	        ; sollen Taster abgefragt werden ?
	sbrs	WORK, 1				; also bit 0 gesetzt ?
	rjmp	No_Timer_Taster			; nein dann weiter zu nchster Aufg. bzw. Ende

	; ******** Abfrage auf TASTER 1 UND 2 um einen RESET auszulsen
	; mu an diese Stelle wegen der Art wie ich entprelle
	; anderen TasterAufgaben stehen in taster_beh.inc und fragen vorher
	; das Register TASTER_PRESSED ab.....
	tast1u2_test:
	 in 	WORK, PIND	                ; lese INPUT-Pins ein
	 andi	WORK, 0b11000000		; sind Taster 1u2 gleichzeitig gedrckt ?
	 brne	tast1_test			; nein dann weiter,
	 rjmp	Init_Reset			; sonst RESET
	
	 ;sbrc	WORK, 7				; Taster 2 gedrckt ?
	 ;rjmp	tast1_test			; nicht gedrckt dann nchsten testen
	 ;in	WORK, PINC
	 ;sbrc	WORK, 4				; Taster 4 gedrckt ?
	 ;rjmp	tast1_test			; nicht gedrckt dann nchsten testen
	 ;rjmp	Init_Reset			; sonst RESET	 	 
			
    ; ******************* Die Einzelltasten Druck in Register TASTER_PRESSED speichern 
 	 ; *** Wurde Taster 1 gedrckt dann setze Bit in TASTER_PRESSED entsprechend ??
 	 tast1_test:
	 in 	WORK, PIND	                ; lese INPUT-Pins ein
	 sbrc	WORK, 6				; Taster 1 gedrckt ?  (oder mit andi)
	 rjmp	tast2_test			; nicht gedrckt dann nchsten testen
	 dec	TIMER_T1_COUNTER		; Entprellzhler veringern
	 brne	tast2_test			; nur wenn einmal abgelaufen nchter Tdruck mglich
	 mov	WORK, TASTER_PRESSED            ; dann setzte bit 0  = 1   
	 ori	WORK, 0b1	 		; im Register das in Hauptschleife abefragt wird
	 mov	TASTER_PRESSED, WORK
	 ldi	WORK, TASTER_T_Counter_Time      ; und Entprellzhler wieder zurcksetzen 
 	 out 	EEADRESS,  WORK		        ; setze EEPROM-Adresse auf Adresse
	 sbi	EECONTR,0		        ; setze das Daten gelsene werden sollen
	 in	WORK, EEDAT		        ; und schiebe die Daten nach WORK
	 mov	TIMER_T1_COUNTER, WORK 

	 ; *** Wurde Taster 2 gedrckt dann setze Bit in TASTER_PRESSED entsprechend ??
	 tast2_test:
	 in 	WORK, PIND	
	 sbrc	WORK, 7				; Taster 2 gedrckt ?
	 rjmp	tast3_test			; nicht gedrckt test next
	 dec	TIMER_T2_COUNTER		; Entprellzhler veringern
	 brne	tast3_test			; nur wenn einmal abgelaufen nchter Tdruck mglich
	 mov	WORK, TASTER_PRESSED
	 ori	WORK, 0b10			; dann setzte bit 0 = 2
	 mov	TASTER_PRESSED, WORK
	 ldi	WORK, TASTER_T_Counter_Time      ; und Entprellzhler wieder zurcksetzen 
 	 out 	EEADRESS,  WORK		        ; setze EEPROM-Adresse auf Adresse
	 sbi	EECONTR,0		        ; setze das Daten gelsene werden sollen
	 in	WORK, EEDAT		        ; und schiebe die Daten nach WORK
	 mov	TIMER_T2_COUNTER, WORK 

	 ; *** Wurde Taster 3 gedrckt dann setze Bit in TASTER_PRESSED entsprechend ??
	 tast3_test:
	 in 	WORK, PINC
	 sbrc	WORK, 2				; Taster 3 gedrckt ?
	 rjmp	tast4_test			; nicht gedrckt test next
	 dec	TIMER_T3_COUNTER		; Entprellzhler veringern
	 brne	tast4_test			; nur wenn einmal abgelaufen nchter Tdruck mglich
	 mov	WORK, TASTER_PRESSED
	 ori	WORK, 0b100			; dann setzte bit 0 = 4
	 mov	TASTER_PRESSED, WORK
	 ldi	WORK, TASTER_T_Counter_Time      ; und Entprellzhler wieder zurcksetzen 
	 out 	EEADRESS,  WORK		        ; setze EEPROM-Adresse auf Adresse
	 sbi	EECONTR,0		        ; setze das Daten gelsene werden sollen
	 in	WORK, EEDAT		        ; und schiebe die Daten nach WORK
	 mov	TIMER_T3_COUNTER, WORK 

	 ; *** Wurde Taster 4 gedrckt dann setze Bit in TASTER_PRESSED entsprechend ??
	 tast4_test:
	 in 	WORK, PINC
	 sbrc	WORK, 4				; Taster 4 gedrckt ?
	 rjmp	end_tast_test			; nicht gedrckt test next
	 dec	TIMER_T4_COUNTER		; Entprellzhler veringern
	 brne	end_tast_test			; nur wenn einmal abgelaufen nchter Tdruck mglich
	 mov	WORK, TASTER_PRESSED
	 ori	WORK, 0b1000			; dann setzte bit 0 = 8
	 mov	TASTER_PRESSED, WORK
	 ldi	WORK, TASTER_T_Counter_Time      ; und Entprellzhler wieder zurcksetzen 
 	 out 	EEADRESS,  WORK		        ; setze EEPROM-Adresse auf Adresse
	 sbi	EECONTR,0		        ; setze das Daten gelsene werden sollen
	 in	WORK, EEDAT		        ; und schiebe die Daten nach WORK
	 mov	TIMER_T4_COUNTER, WORK 
	
    	 ; *** Keine Tastendruck ermittelt
	 end_tast_test:

	No_Timer_Taster:
	out	STATUS_FLAG,SAVE_STATUS_FLAG ; und Flags in orig. zustand
	pop 	WORK
	reti
; *** End Timer1 berlauf ******************************************************


; ******************************************************************************
; ****** Timer1 berlauf Interuptroutine ***************************************
; ****** Welche Routinen ausgefhrt werden sollen, steht im Register ***********
; ****** TIMER_AKTIV_BYTE .. nur wenn dort entspr. Bit gesetzt wird z.B. die ***
; ****** Helligkeitsfhler abgefragt *******************************************
; ******
; ******************************************************************************
TIMER1_OL:
	push	WORK	
	push	X_L

	in	SAVE_STATUS_FLAG,STATUS_FLAG	; Rette StatusRegister da es verndert wird !!		

	; ** Allgemeiner Zhler fr verschiedene Aufgabe
	dec	TIMER_TAKT		; alle 0.5 sec minus eins

	; *********** BIT 0 in TIMER_AKTIV_BYTE
	; *** messen des Helligkeitsfhlers und danach Beleuchtung steuern 
	mov	X_L,  TIMER_AKTIV_BYTE	; soll Beleuchtautom. ausgefhrt werden ?
	sbrs	X_L,  0			; also bit 0 gesetzt ?
	rjmp	No_Timer_Beleucht	; nein dann weiter zu nchster Aufg. bzw. Ende
	 ldi	X_L, Sensor_Kanal_Hellig ; Kanal zum Messen an dem Helligkeitsfhler
	 out	ADMUX, X_L
	 ldi	X_L, 0b11011110		; AD-Wandler initaliesieren und 1x messen
	 out	ADCSR,	X_L
	No_Timer_Beleucht:

	; *********** BIT 1 in TIMER_AKTIV_BYTE in Timer0 !
	; *********** BIT 2 in TIMER_AKTIV_BYTE (Unterbits 3/4/5)
	; *** LEDs blinken 
	mov	X_L,  TIMER_AKTIV_BYTE	; soll LED-Blink-Test genrell ausgefhrt werden ?
	sbrs	X_L,  2			; also bit 1 gesetzt ?
	rjmp	No_LED_Blink		; nein dann weiter zu nchster Aufg. bzw. Ende
 	  andi	X_L,0b00111000  	; ausfiltern der 3 LED-Bits
	  sbrs	X_L, 3			; led 0 blinken lassen ? set = aus
	  rjmp	LED_Blink_led1  	; nein dann test ob Led1 	  
	  in 	WORK, PORTD_D		; blinken
	  sbrs	WORK, 3
	  rjmp	l_on4
	  cbi	PORTD_D, 3
	  rjmp	Led_Blink_led1
	  l_on4:
	  sbi	PORTD_D, 3
	 Led_Blink_led1:
	  sbrs	X_L, 4    
	  rjmp    Led_Blink_led2
	  in 	WORK, PORTD_D
	  sbrs	WORK, 4
	  rjmp	l_on5
	  cbi	PORTD_D, 4
	  rjmp	Led_Blink_led2
	  l_on5:
	  sbi	PORTD_D, 4
	 Led_Blink_led2:
	  sbrs	X_L, 5
	  rjmp	No_LED_Blink
	  in 	WORK, PORTD_D
	  sbrs	WORK, 5
	  rjmp	l_on6
	  cbi	PORTD_D, 5
	  rjmp	No_LED_Blink
	  l_on6:
	  sbi	PORTD_D, 5
	No_LED_Blink:

	out	STATUS_FLAG,SAVE_STATUS_FLAG ; und Flags in orig. zustand
	
	pop	X_L
	pop	WORK
	reti
; *** End Timer1 berlauf ******************************************************

